org.apache.synapse.securevault.secret.handler

## Class JBossEncryptionSecretCallbackHandler

- java.lang.Object
- - org.apache.synapse.securevault.secret.AbstractSecretCallbackHandler
  - - org.apache.synapse.securevault.secret.handler.JBossEncryptionSecretCallbackHandler

- All Implemented Interfaces:
    SecretCallbackHandler

      public class JBossEncryptionSecretCallbackHandler
      extends AbstractSecretCallbackHandler

  SecretCallbackHandler implementation which is compatible to the default encryption used within the JBoss Application Server to decrypt database passwords.

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.securevault.secret.AbstractSecretCallbackHandler

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JBossEncryptionSecretCallbackHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleSingleSecretCallback(SingleSecretCallback singleSecretCallback)` Decrypts the encrypted secret provided by the specified callback handler.

    - ### Methods inherited from class org.apache.synapse.securevault.secret.AbstractSecretCallbackHandler

      `handle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JBossEncryptionSecretCallbackHandler

          public JBossEncryptionSecretCallbackHandler()

  - ### Method Detail

    - #### handleSingleSecretCallback

          protected void handleSingleSecretCallback(SingleSecretCallback singleSecretCallback)

      Decrypts the encrypted secret provided by the specified callback handler.
      Specified by:
        `handleSingleSecretCallback` in class `AbstractSecretCallbackHandler`
      Parameters:
        `singleSecretCallback` - The singleSecretCallback which secret has to be decrypted

Copyright © 2005–2023 Apache Software Foundation. All rights reserved.